GET /nodes/{node_id}/addons/{provider}/
Operation ID: nodes_addon_read
Auth: unknown
Description
Retrieve details of an individual addon connected to this node. #### Permissions NodeSettings that are attached to public nodes will give read-only access to everyone. Private nodes require explicit read permission. Write and admin access are the same for public and private nodes. Administrators on a parent node have implicit read permissions for all child nodes. Any users with write or admin access to the node are able to deauthorize an enabled addon, but only the addon authorizer is able to change the configuration (i.e. selected folder) of an already-configured NodeSettings entity. #### Returns Returns a JSON object with a `data` key containing the details of the requested addon, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.
Parameters (2)
(string, path, required)
The unique identifier of the node.
(string, path, required)
The unique identifier of the addon.
No probe data for this endpoint yet.